//ANIMACJA KOLORU

$(document).ready(function() {
   $('#color-animate').click(function() {

      // $('#mydiv').animate({
      //    color: '#fff',
      //    backgroundColor: '#000'
      // }, 'slow');

      // $('#mydiv').animate({
      //    color: '#fff',
      //    backgroundColor: '#000'
      // }, 'slow', 'easeInQuart');

      $('#mydiv').animate({
         color: '#fff',
         backgroundColor: '#000'
      }, {
         duration: 'slow', 
         easing: 'easeInQuart'
      });

   });  
});

//ANIMACJA PRZEŁĄCZNIKA KLASY
$(document).ready(function() {
   $('#do-toggle').click(function() {
      $('#toggle-class').toggleClass('highlight', 'slow');
   });
});

//EFEKT EKSPLOZJI
$(document).ready(function() {
   $('#do-explode').click(function() {
      $('#explode').effect('explode', {pieces: 16}, 800);
   });
});

//SORTOWANA LISTA
$(document).ready(function() {
   // $('#sort-container').sortable();

   $('#sort-container').sortable({
      opacity: .5,
      axis: 'y',
      cursor: 'move'
   });

});

//OKNO DIALOGOWE
$(document).ready(function() {
//   $('#do-dialog').click(function() {
//      $('#dlg').dialog();
//   });
   var $dlg = $('#dlg');
   var dlgText = $dlg.text();
   $dlg.dialog({
      autoOpen: false,
      title: dlgText,
      open: function() {
      $dlg.empty();
   },
   buttons: {
      'dodaj wiadomość': function() {
      $dlg.append('<p>Wstawiona wiadomość</p>');
   },
   'usuń wiadomości': function() {
      $('p', $dlg).remove();
   }
   }
   });
   $('#do-dialog').click(function() {
      $dlg.dialog('open');    
   });

});
